# PersistentModifier | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class PersistentModifier`Abstract`

#### Hierarchy (view full)

- Modifier
  - PersistentModifier
    - LapsingPersistentModifier
    - MapModifier
    - MegaEvolutionAccessModifier
    - GigantamaxAccessModifier
    - TerastallizeAccessModifier
    - PokemonHeldItemModifier
    - LevelIncrementBoosterModifier
    - PreserveBerryModifier
    - MultipleParticipantExpBonusModifier
    - HealingBoosterModifier
    - ExpBoosterModifier
    - ExpShareModifier
    - ExpBalanceModifier
    - MoneyMultiplierModifier
    - MoneyInterestModifier
    - HiddenAbilityRateBoosterModifier
    - ShinyRateBoosterModifier
    - LockModifierTiersModifier
    - IvScannerModifier
    - ExtraModifierModifier
    - EnemyPersistentModifier

- Defined in src/modifier/modifier.ts:148

#####
Index

### Constructors

constructor

### Properties

stackCount
type
virtualStackCount

### Methods

add
apply
clone
getArgs
getIcon
getIconStackText
getMaxStackCount
getStackCount
incrementStack
isIconVisible
match
shouldApply

## Constructors

### constructor

- new PersistentModifier(type, stackCount): PersistentModifier

- #### Parameters

  - type: ModifierType
  - stackCount: number

  #### Returns PersistentModifier

  Overrides Modifier.constructor

  - Defined in src/modifier/modifier.ts:152

## Properties

### stackCount

stackCount: number

- Defined in src/modifier/modifier.ts:149

### type

type: ModifierType

Inherited from Modifier.type

- Defined in src/modifier/modifier.ts:131

### virtualStackCount

virtualStackCount: number

- Defined in src/modifier/modifier.ts:150

## Methods

### add

- add(modifiers, virtual, scene): boolean

- #### Parameters

  - modifiers: PersistentModifier []
  - virtual: boolean
  - scene: default

  #### Returns boolean

  - Defined in src/modifier/modifier.ts:158

### `Abstract` apply

- apply(args): boolean | Promise<boolean>

- #### Parameters

  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from Modifier.apply

  - Defined in src/modifier/modifier.ts:145

### `Abstract` clone

- clone(): PersistentModifier

- #### Returns PersistentModifier

  - Defined in src/modifier/modifier.ts:173

### getArgs

- getArgs(): any[]

- #### Returns any[]

  - Defined in src/modifier/modifier.ts:175

### getIcon

- getIcon(scene, forSummary?): Container

- #### Parameters

  - scene: default
  - `Optional` forSummary: boolean

  #### Returns Container

  - Defined in src/modifier/modifier.ts:202

### getIconStackText

- getIconStackText(scene, virtual?): BitmapText

- #### Parameters

  - scene: default
  - `Optional` virtual: boolean

  #### Returns BitmapText

  - Defined in src/modifier/modifier.ts:223

### `Abstract` getMaxStackCount

- getMaxStackCount(scene, forThreshold?): number

- #### Parameters

  - scene: default
  - `Optional` forThreshold: boolean

  #### Returns number

  - Defined in src/modifier/modifier.ts:196

### getStackCount

- getStackCount(): number

- #### Returns number

  - Defined in src/modifier/modifier.ts:192

### incrementStack

- incrementStack(scene, amount, virtual): boolean

- #### Parameters

  - scene: default
  - amount: number
  - virtual: boolean

  #### Returns boolean

  - Defined in src/modifier/modifier.ts:179

### isIconVisible

- isIconVisible(scene): boolean

- #### Parameters

  - scene: default

  #### Returns boolean

  - Defined in src/modifier/modifier.ts:198

### match

- match(_modifier): boolean

- #### Parameters

  - _modifier: Modifier

  #### Returns boolean

  Inherited from Modifier.match

  - Defined in src/modifier/modifier.ts:137

### shouldApply

- shouldApply(_args): boolean

- #### Parameters

  - _args: any[]

  #### Returns boolean

  Inherited from Modifier.shouldApply

  - Defined in src/modifier/modifier.ts:141